import { ViewContainerRef, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { ToastsManager } from 'ng2-toastr/ng2-toastr';
import { AuthenticationService } from './../../service/authentication.service';
import { SharePointService } from './../../../sharepoint/service/sharepoint.service';
export declare class LoginFormComponent implements OnInit {
    dialogRef: MatDialogRef<LoginFormComponent>;
    private toastr;
    private vcr;
    private sharePointService;
    private authenticationService;
    username: string;
    password: string;
    loginError: boolean;
    constructor(dialogRef: MatDialogRef<LoginFormComponent>, toastr: ToastsManager, vcr: ViewContainerRef, sharePointService: SharePointService, authenticationService: AuthenticationService);
    ngOnInit(): void;
    authenticate(): void;
}
